Bug 359221 - SIGSEGV during post-install
SIGSEGV during post-install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-30 17:17 EDT by John Reiser
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 15:26:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2007-10-30 17:17:55 EDT
Description of problem: Infinite loop at end of graphcial install with
"Performing post-install operation..." visible.


Version-Release number of selected component (if applicable):
anaconda-11.3.0.48-1


How reproducible: always


Steps to Reproduce:
1. graphical install from DVD composed by pungi from rawhide of Tue.Oct.30
2.
3.
  
Actual results: Apparent hang at end of install, with "Performing post-install
operations..." visible.  Swithcing to vtty2 and using strace shows that the main
anaconda rocess is in a loop:
-----
-- SIGSEGV
rt_sigaction(SIGSEGV, (0x1f9b50, [], 0), {0x1f9b50, [], 0}, 8) = 0
sigreturn()
-----


Expected results: successful install


Additional info:
Comment 1 John Reiser 2007-10-30 17:48:57 EDT
Text install from the same DVD gets the same SIGSEGV loop at the end of the
install process, except that the main screen is showing a warning (not in a box)
that SELinux is disabled.
Comment 2 Jeremy Katz 2007-10-30 23:04:07 EDT
selinux=0 is the key here.

mitr built a fixed libuser and I've verified it with a quick test.
Comment 3 John Reiser 2007-10-31 14:38:57 EDT
Fixed in DVD composed by pungi from rawhide of Wed.Oct.31.
libuser-0.56.6-2
anaconda-11.3.0.50-1
Comment 4 Will Woods 2007-10-31 15:26:43 EDT
So it's confirmed fixed in rawhide? Closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.